Uploaded image for project: 'Puppet Enterprise'
  1. Puppet Enterprise
  2. ENTERPRISE-301

`puppet resource package` fails when SQL Compact is installed

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Ready for Engineering
    • Priority: Normal
    • Resolution: Unresolved
    • Affects Version/s: PE 3.3.1
    • Fix Version/s: None
    • Component/s: Packages
    • Labels:
      None
    • Environment:

      Windows 8.1 PE agent (3.3.1) on a physical Laptop reporting to a CentOS virtualized Master (all in one) (PE 3.3.1)

    • Template:
    • Agent OS:
      Windows 8.1 (x86, x64)
    • Master OS:
      CentOS 6

      Description

      I cannot run the following command on my Windows 8.1 laptop (running PE Agent 3.3.1) in an elevated Puppet command prompt:

      puppet resource package

      It fails with the error:

      Error: Could not run: Invalid tag 'microsoft sql server 2005 compact edition'

      Even if I supply the name of a different package, it fails with the same reason (must be building the list and failing before the filter is applied).

        Attachments

        1. products.reg
          468 kB
        2. products32.reg
          1.34 MB
        3. puppet_error.png
          puppet_error.png
          7 kB
        4. Stack.txt
          3 kB

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              tommed Tom Medhurst
              Votes:
              1 Vote for this issue
              Watchers:
              5 Start watching this issue

                Dates

                Created:
                Updated:

                  Zendesk Support